%define upstream_name    HTML-FormFu
%define upstream_version 0.09002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    HTML Form Management Framework for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Captcha::reCAPTCHA) >= 0.930.0
BuildRequires: perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(Class::MOP::Method)
BuildRequires: perl(Clone) >= 0.310.0
BuildRequires: perl(Config::Any) >= 0.180.0
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Crypt::DES)
BuildRequires: perl(Data::Visitor) >= 0.260.0
BuildRequires: perl(Date::Calc)
BuildRequires: perl(DateTime) >= 0.540.0
BuildRequires: perl(DateTime::Format::Builder) >= 0.790.100
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(DateTime::Format::Strptime) >= 1.200.0
BuildRequires: perl(DateTime::Locale) >= 0.450.0
BuildRequires: perl(Email::Valid)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(HTML::Scrubber)
BuildRequires: perl(HTML::TokeParser::Simple) >= 3.140.0
BuildRequires: perl(HTTP::Headers) >= 1.640.0
BuildRequires: perl(Hash::Flatten)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::Maketext)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose) >= 1.0.0
BuildRequires: perl(MooseX::Aliases)
BuildRequires: perl(MooseX::ChainedAccessors::Accessor) >= 0.20.0
BuildRequires: perl(MooseX::SetOnce)
BuildRequires: perl(Number::Format)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Readonly)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(YAML::XS) >= 0.320.0
BuildArch:  noarch

%description
HTML::FormFu is a HTML form framework which aims to be as easy
as possible to use for basic web forms, but with the power and flexibility
to do anything else you might want to do (as long as it involves forms).

You can configure almost any part of formfu's behaviour and output. By
default formfu renders "XHTML 1.0 Strict" compliant markup, with as little
extra markup as possible, but with sufficient CSS class names to allow for
a wide-range of output styles to be generated by changing only the CSS.

All methods listed below (except the /new manpage) can either be called as
a normal method on your '$form' object, or as an option in your config
file. Examples will mainly be shown in the YAML manpage config syntax.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README examples
%{_mandir}/man*
%perl_vendorlib/*
/usr/bin/html_formfu_deploy.pl
/usr/bin/html_formfu_dumpconf.pl

%changelog
* Sun Apr 03 2011 jquelin <jquelin> 0.90.20-1.mga1
+ Revision: 80100
- update to 0.09002

* Wed Jan 26 2011 jquelin <jquelin> 0.80.20-1.mga1
+ Revision: 40121
- update %%files
- mageia rebuild
- imported package perl-HTML-FormFu

